Subject: Re: [Announce] LARTC wiki available

From: Philip Prindeville <[email-masked]>
Date: Sun, 03 Jun 2012 14:05:20 -0600

On 12/28/11 8:52 AM, Niccolò Belli wrote:
> Hi,
> I still didn't find a viable solution for the LARTC wiki, so I decided 
> to start hosting it on my own server. Later we can easily switch 
> somewhere else if we keep using the same wiki engine (and maybe even 
> with another wiki engine).
> I decided to use wikimedia because it's the only one I know of, so if 
> someone knows a better alternative please let me know, we are still in 
> time for a change.
> Since I never used a wiki seriously I will probably need someone else 
> who can help me maintaining it, please let me know if you are 
> experienced and willing to help.
> 
> Here is the wiki: http://lartc.linuxsystems.it/
> And here is the new mailing list for those who still don't know: 
> http://vger.kernel.org/vger-lists.html#lartc
> 
> I just copy-pasted the Linux Advanced Routing & Traffic Control HOWTO 
> atm, it still needs to be wikified and we still need to choose how to 
> organize the contents.
> 
> Cheers,
> Niccolò

Between command-line stuff for users/administrators and the kernel hacking bits on linux-net, etc. I'd like to see a middle ground: i.e. better documentation about the C API to userspace from the kernel routing mechanisms.

Better documentation about rtnetlink would be appreciated, and maybe the low-level libraries that run atop that as well, such as libmnl.

-Philip